Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.host
Class EPPHostInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.host.EPPHostInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPHostInfoResp

extends EPPResponse

Represents an EPP Host <host:infData> response to an `EPPHostInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <host:infData> element that identifies the host namespace and the location of the host schema. The <host:infData> element contains the following child elements:

- A <host:name> element that contains the fully qualified name of the host. Use `getName` and `setName` to get and set the element.
- A <host:roid> element that contains the Respoitory Object IDentifier assigned to the host object when the object was created.
- One or more <host:status> elements that describe the status of the host object. Use `getStatuses` and `setStatuses` to get and set the element.
- Zero or more <host:addr> elements that contain the IP addresses associated with the host object. Use `getAddresses` and `setAddresses` to get and set the element.
- A <host:clID> element that contains the identifier of the sponsoring client. Use `getClientId` and `setClientId` to get and set the element.
- A <host:crID> element that contains the identifier of the client that created the host name. Use `getCreatedBy` and `setCreatedBy` to get and set the element.
- A <host:crDate> element that contains the date and time of host creation. Use `getCreatedDate` and `setCreatedDate` to get and set the element.
- A <host:upID> element that contains the identifier of the client that last updated the host name. This element MUST NOT be present if the host has never been modified. Use `getLastUpdatedBy` and `setLastUpdatedBy` to get and set the element.
- A <host:upDate> element that contains the date and time of the most recent host modification. This element MUST NOT be present if the host has never been modified. Use `getUpdatedDate` and `setUpdatedDate` to get and set the element.
- A <host:trDate> element that contains the date and time of the most recent successful transfer. This element MUST NOT be provided if the host has never been transferred. Note that host objects MUST NOT be transferred directly; host objects MUST be transferred implicitly when the host object's superordinate domain object is transferred. Host objects that are subject to transfer when transferring a domain object are listed in the response to an EPP <info> command performed on the domain object. Use `getTrDate` and `setTrDate` to get and set the element.
- A <host:authInfo> element derived from either the original creation transaction or the most recent successful parent domain transfer transaction. This element MUST NOT be provided if the querying client is not the current sponsoring client. Use `getAuthInfo` and `setAuthInfo` to get and set the element.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPHostInfoCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPHostInfoResp()` `EPPHostInfoResp` default constructor.
`EPPHostInfoResp(EPPTransId aTransId, java.lang.String aName, java.lang.String aRoid, EPPHostStatus aHostStatus, java.lang.String aClientId, java.lang.String aCreatedBy, java.util.Date aCreatedDate)` `EPPHostInfoResp` constuctor that takes the required attribute values as parameters.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPHostInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPHostInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPHostInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPHostInfoResp` with this instance.
`java.util.Vector` | `getAddresses()` Gets the list (Vector) of host addresses.
`java.lang.String` | `getClientId()` Gets the host owning Client Id.
`java.lang.String` | `getCreatedBy()` Gets Client Id that created the host.
`java.util.Date` | `getCreatedDate()` Gets the date and time the host was created.
`java.lang.String` | `getLastUpdatedBy()` Gets the Client Id that last updated the host.
`java.util.Date` | `getLastUpdatedDate()` Gets the date and time of the last host update.
`java.lang.String` | `getName()` Gets the host name
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPHostInfoResp`.
`java.lang.String` | `getRoid()` Get roid.
`java.util.Vector` | `getStatuses()` Get host statuses.
`java.util.Date` | `getTrDate()` Get transfer date.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPHostInfoResp`.
`void` | `setAddresses(java.util.Vector someAddresses)` Sets the list (Vector) of host addresses.
`void` | `setClientId(java.lang.String aClientId)` Sets the host owning Client Id.
`void` | `setCreatedBy(java.lang.String aCreatedBy)` Sets Client Id that created the host.
`void` | `setCreatedDate(java.util.Date aDate)` Sets the date and time the host was created.
`void` | `setLastUpdatedBy(java.lang.String aLastUpdatedBy)` Sets the Client Id that last updated the host.
`void` | `setLastUpdatedDate(java.util.Date aLastUpdatedDate)` Sets the last date and time the host was updated.
`void` | `setName(java.lang.String aName)` Sets the host name.
`void` | `setRoid(java.lang.String newRoid)` Set roid.
`void` | `setStatuses(EPPHostStatus aHostStatus)` Set host statuses.
`void` | `setStatuses(java.util.Vector newStatuses)` Set host statuses.
`void` | `setTrDate(java.util.Date newTrDate)` Set transfer date.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPHostInfoResp

    public EPPHostInfoResp()

  `EPPHostInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - name - `setName`
  - roid - `setRoid`
  - status - `setStatuses`
  - client id - `setClientId`
  - created by - `setCreatedBy`
  - created date - `setCreatedDate`

### EPPHostInfoResp

    public EPPHostInfoResp(EPPTransId aTransId,
                           java.lang.String aName,
                           java.lang.String aRoid,
                           EPPHostStatus aHostStatus,
                           java.lang.String aClientId,
                           java.lang.String aCreatedBy,
                           java.util.Date aCreatedDate)

  `EPPHostInfoResp` constuctor that takes the required attribute values as parameters. The setter methods of the optional attributes can be called before invoking `encode`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aName` - Host name
    `aRoid` - roid
    `aHostStatus` - EPP Host Status
    `aClientId` - Owning Client Id
    `aCreatedBy` - Client Id of Registrar that created the host
    `aCreatedDate` - Date the host was created

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPHostInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPHostInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPHostInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPHostMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPHostInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPHostPingMap instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPHostPingMap instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPHostInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPHostInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPHostInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPHostInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPHostInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the host name

  Returns:
    Host Name if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the host name.

  Parameters:
    `aName` - Host Name

### getClientId

    public java.lang.String getClientId()

  Gets the host owning Client Id.

  Returns:
    Client Id if defined; `null` otherwise.

### setClientId

    public void setClientId(java.lang.String aClientId)

  Sets the host owning Client Id.

  Parameters:
    `aClientId` - Client Id

### getAddresses

    public java.util.Vector getAddresses()

  Gets the list (Vector) of host addresses. Each host address is an instance of `EPPHostAddress`.

  Returns:
    `Vector` of `EPPHostAddress` instances.

### setAddresses

    public void setAddresses(java.util.Vector someAddresses)

  Sets the list (Vector) of host addresses. Each host address is an instance of `EPPHostAddress`.

  Parameters:
    `someAddresses` - `Vector` of `EPPHostAddress` instances

### getCreatedBy

    public java.lang.String getCreatedBy()

  Gets Client Id that created the host.

  Returns:
    Client Id if defined; `null` otherwise.

### setCreatedBy

    public void setCreatedBy(java.lang.String aCreatedBy)

  Sets Client Id that created the host.

  Parameters:
    `aCreatedBy` - Client Id that created the host.

### getCreatedDate

    public java.util.Date getCreatedDate()

  Gets the date and time the host was created.

  Returns:
    Date and time the host was created if defined; `null` otherwise.

### setCreatedDate

    public void setCreatedDate(java.util.Date aDate)

  Sets the date and time the host was created.

  Parameters:
    `aDate` - Date and time the host was created.

### getLastUpdatedBy

    public java.lang.String getLastUpdatedBy()

  Gets the Client Id that last updated the host. This will be null if the host has not been updated since creation.

  Returns:
    Client Id that last updated the host has been updated; `null` otherwise.

### setLastUpdatedBy

    public void setLastUpdatedBy(java.lang.String aLastUpdatedBy)

  Sets the Client Id that last updated the host.

  Parameters:
    `aLastUpdatedBy` - Client Id String that last updated the host.

### getLastUpdatedDate

    public java.util.Date getLastUpdatedDate()

  Gets the date and time of the last host update. This will be `null` if the host has not been updated since creation.

  Returns:
    date and time of the last host update if defined; `null` otherwise.

### setLastUpdatedDate

    public void setLastUpdatedDate(java.util.Date aLastUpdatedDate)

  Sets the last date and time the host was updated.

  Parameters:
    `aLastUpdatedDate` - Date and time of the last host update.

### getStatuses

    public java.util.Vector getStatuses()

  Get host statuses.

  Returns:
    com.verisign.epp.codec.host.EPPHostStatus

### getTrDate

    public java.util.Date getTrDate()

  Get transfer date.

  Returns:
    java.util.Date

### setStatuses

    public void setStatuses(EPPHostStatus aHostStatus)

  Set host statuses.

  Parameters:
    `aHostStatus` - com.verisign.epp.codec.host.EPPHostStatus

### setStatuses

    public void setStatuses(java.util.Vector newStatuses)

  Set host statuses.

  Parameters:
    `newStatuses` - Vector

### setTrDate

    public void setTrDate(java.util.Date newTrDate)

  Set transfer date.

  Parameters:
    `newTrDate` - java.util.Date

### getRoid

    public java.lang.String getRoid()

  Get roid.

  Returns:
    java.lang.String

### setRoid

    public void setRoid(java.lang.String newRoid)

  Set roid.

  Parameters:
    `newRoid` - java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.